import { Args } from '@oclif/core';
import BaseCommand from '../../lib/baseCommand.js';
import ImageCreator from '../../lib/images/imageCreator.js';
export default class ImagesCreate extends BaseCommand {
    static args = {
        name: Args.string({ description: 'Name of the image', required: true }),
    };
    static description = 'Create a new image repository';
    static descriptionGerund = 'Creating new image repository';
    async runImpl() {
        const imageCreator = new ImageCreator(this.parsedArgs.name);
        await imageCreator.create();
    }
}
